Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Security.CodeAccessPermission System.Security.Permissions.IUnrestrictedPermission

The default permissions allow all local and Intranet zone applications to access DNS services, and no DNS permission for Internet zone applications.

Controls rights to access Domain Name System (DNS) servers on the network.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  is not a valid value.

  If is , the instance passes all demands. If contains any other value, the instance fails all demands.

  Creates a new instance of the class that either allows unrestricted DNS access or disallows DNS access.

  One of the values.
  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission

  A copy of a instance provides the same access to DNS servers as the original permission instance.

  Creates an identical copy of the current permission instance.

  A new instance of the class that is an identical copy of the current instance.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  is

  is not a element.

  The method reconstructs a instance from an XML encoding defined by the class.

  Use the method to XML-encode the instance, including state information.

  Reconstructs a instance from an XML encoding.

  The XML encoding to use to reconstruct the instance. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission `` is .

  The method returns a instance that allows the access defined by both the current instance and the specified instance. Any demand must pass both permissions to pass their intersection.

  Creates a permission instance that is the intersection of the current permission instance and the specified permission instance.

  A instance that represents the intersection of the current instance with the specified instance, or null if the intersection is empty. If both the current instance and are unrestricted, this method returns a new instance that is unrestricted; otherwise, it returns null.

  The instance to intersect with the current instance. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The current instance is a subset of the specified instance if the current instance specifies a set of operations that is wholly contained by the specified instance.

  If the method returns true, the current instance allows no more access to DNS servers than does the specified instance.

  Determines whether the current permission instance is a subset of the specified permission instance.

  false if the current instance is unrestricted and is either null or unrestricted; otherwise, true.

  The second instance to be tested for the subset relationship. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  Checks the overall permission state of the object.

  true if the instance was created with ; otherwise, false.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.SecurityElement

  The method creates a instance to XML-encode a representation of the instance, including state information.

  Use the method to restore the state information from a instance.

  Creates an XML encoding of a instance and its current state.

  A instance that contains an XML-encoded representation of the security object, including state information.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission `` is .

  The method returns a instance that allows the access defined by either the current instance or the specified instance. Any demand that passes either permission passes their union.

  Creates a permission instance that is the union of the current permission instance and the specified permission instance.

  A instance that represents the union of the current instance with the specified instance. If is null, this method returns a copy of the current instance. If the current instance or is unrestricted, this method returns a instance that is unrestricted; otherwise, it returns a instance that is restricted.

  The instance to combine with the current instance. 0
0